## xfsprogs 3.1.0ubuntu1

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

SRCDIR = $(PKG_NAME)-$(PKG_VERSION)
SRCTAR = $(PKG_NAME)-$(PKG_VERSION).tar.gz

CONFIGURE = aclocal.m4 configure config.guess config.sub install-sh ltmain.sh
LSRCFILES = configure.in release.sh README VERSION $(CONFIGURE)

LDIRT = config.log .dep config.status config.cache confdefs.h conftest* \
	built .census install.* install-dev.* *.gz autom4te.cache/* libtool \
	include/builddefs include/platform_defs.h

ifeq ($(HAVE_BUILDDEFS), yes)
LDIRDIRT = $(SRCDIR)
LDIRT += $(SRCTAR)
endif

LIB_SUBDIRS = libxfs libxlog libxcmd libhandle $(LDISK)
TOOL_SUBDIRS = copy db estimate fsck fsr growfs io logprint mkfs quota \
		mdrestore repair rtcp m4 man doc po debian

ifneq ($(ENABLE_BLKID), yes)
LIB_SUBDIRS += libdisk
endif

SUBDIRS = include $(LIB_SUBDIRS) $(TOOL_SUBDIRS)

default: include/builddefs include/platform_defs.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(MAKE) $(SUBDIRS)
endif

# tool/lib dependencies
$(LIB_SUBDIRS) $(TOOL_SUBDIRS): include
copy mdrestore: libxfs
db logprint: libxfs libxlog
fsr: libhandle
growfs: libxfs libxcmd
io: libxcmd libhandle
mkfs: libxfs
quota: libxcmd
repair: libxfs libxlog

ifneq ($(ENABLE_BLKID), yes)
mkfs: libdisk
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

# Recent versions of libtool require the -i option for copying auxiliary
# files (config.sub, config.guess, install-sh, ltmain.sh), while older
# versions will copy those files anyway, and don't understand -i.
LIBTOOLIZE_INSTALL = `libtoolize -n -i >/dev/null 2>/dev/null && echo -i`

configure:
	libtoolize -c $(LIBTOOLIZE_INSTALL) -f
	cp include/install-sh .
	aclocal -I m4
	autoconf

include/builddefs: configure
	./configure $$LOCAL_CONFIGURE_OPTIONS

include/platform_defs.h: include/builddefs
## Recover from the removal of $@
	@if test -f $@; then :; else \
		rm -f include/builddefs; \
		$(MAKE) $(AM_MAKEFLAGS) include/builddefs; \
	fi

install: default $(addsuffix -install,$(SUBDIRS))
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: default $(addsuffix -install-dev,$(SUBDIRS))

install-qa: install $(addsuffix -install-qa,$(SUBDIRS))

%-install:
	$(MAKE) -C $* install

%-install-dev:
	$(MAKE) -C $* install-dev

%-install-qa:
	$(MAKE) -C $* install-qa

distclean: clean
	rm -f $(LDIRT)

realclean: distclean
	rm -f $(CONFIGURE)

#
# All this gunk is to allow for a make dist on an unconfigured tree
#
dist: include/builddefs include/platform_defs.h default
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(MAKE) $(SRCTAR)
endif

deb: include/builddefs include/platform_defs.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(MAKE) -C . $@
else
	$(MAKE) $(SRCDIR)
	$(MAKE) -C po
	$(MAKE) source-link
	cd $(SRCDIR) && dpkg-buildpackage
endif

$(SRCDIR) : $(_FORCE)
	rm -fr $@
	mkdir -p $@

$(SRCTAR) : default $(SRCDIR)
	$(MAKE) source-link
	unset TAPE; $(TAR) -cf - $(SRCDIR) | $(ZIP) --best > $@ && \
	echo Wrote: $@

=== copy/Makefile ===
#
# Copyright (c) 2000-2003 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_copy
CFILES = xfs_copy.c
HFILES = xfs_copy.h

LLDLIBS = $(LIBXFS) $(LIBUUID) $(LIBPTHREAD) $(LIBRT)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

=== db/Makefile ===
#
# Copyright (c) 2000-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_db

HFILES = addr.h agf.h agfl.h agi.h attr.h attrshort.h bit.h block.h bmap.h \
	btblock.h bmroot.h check.h command.h convert.h debug.h \
	dir.h dir2.h dir2sf.h dirshort.h dquot.h echo.h faddr.h field.h \
	flist.h fprint.h frag.h freesp.h hash.h help.h init.h inode.h input.h \
	io.h malloc.h metadump.h output.h print.h quit.h sb.h sig.h strvec.h \
	text.h type.h write.h attrset.h
CFILES = $(HFILES:.h=.c)
LSRCFILES = xfs_admin.sh xfs_check.sh xfs_ncheck.sh xfs_metadump.sh

LLDLIBS	= $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
LLDFLAGS += -static

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_READLINE
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
CFLAGS += -DENABLE_EDITLINE
endif

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 xfs_admin.sh $(PKG_SBIN_DIR)/xfs_admin
	$(INSTALL) -m 755 xfs_check.sh $(PKG_SBIN_DIR)/xfs_check
	$(INSTALL) -m 755 xfs_ncheck.sh $(PKG_SBIN_DIR)/xfs_ncheck
	$(INSTALL) -m 755 xfs_metadump.sh $(PKG_SBIN_DIR)/xfs_metadump
install-dev:

=== doc/Makefile ===
#
# Copyright (c) 2000-2001,2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = INSTALL CHANGES COPYING CREDITS sparse.txt
LDIRT = *.gz

default: CHANGES.gz

include $(BUILDRULES)

CHANGES.gz:
	$(ZIP) --best -c < CHANGES > $@

install: default
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 CHANGES.gz CREDITS $(PKG_DOC_DIR)
ifeq ($(PKG_DISTRIBUTION), debian)
	$(INSTALL) -S CHANGES.gz $(PKG_DOC_DIR)/changelog.gz
else
	$(INSTALL) -m 644 COPYING $(PKG_DOC_DIR)
endif

install-dev:

=== estimate/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_estimate
CFILES = xfs_estimate.c

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

=== fsr/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_fsr
CFILES = xfs_fsr.c
LLDLIBS = $(LIBHANDLE)

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

=== growfs/Makefile ===
#
# Copyright (c) 2000-2001,2004-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_growfs

CFILES = xfs_growfs.c

LLDLIBS = $(LIBXFS) $(LIBXCMD) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
endif

LTDEPENDENCIES = $(LIBXFS) $(LIBXCMD)
LLDFLAGS = -static
LSRCFILES = xfs_info.sh

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(INSTALL) -m 755 xfs_info.sh $(PKG_SBIN_DIR)/xfs_info
install-dev:

=== include/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write the Free Software Foundation,
# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

QAHFILES = libxfs.h libxlog.h \
	bitops.h cache.h kmem.h list.h parent.h swab.h \
	xfs_ag.h xfs_alloc.h xfs_alloc_btree.h xfs_arch.h xfs_attr_leaf.h \
	xfs_attr_sf.h xfs_bit.h xfs_bmap.h xfs_bmap_btree.h xfs_btree.h \
	xfs_btree_trace.h xfs_buf_item.h xfs_da_btree.h xfs_dinode.h \
	xfs_dir2.h xfs_dir2_block.h xfs_dir2_data.h xfs_dir2_leaf.h \
	xfs_dir2_node.h xfs_dir2_sf.h xfs_dir_leaf.h xfs_dir_sf.h \
	xfs_extfree_item.h xfs_ialloc.h xfs_ialloc_btree.h \
	xfs_imap.h xfs_inode.h xfs_inode_item.h xfs_inum.h \
	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_metadump.h \
	xfs_mount.h xfs_quota.h xfs_rtalloc.h xfs_sb.h \
	xfs_trans.h xfs_trans_space.h xfs_types.h xfs_dfrag.h

HFILES = handle.h jdm.h xqm.h xfs.h xfs_fs.h
HFILES += $(PKG_PLATFORM).h
PHFILES = darwin.h freebsd.h irix.h linux.h
DKHFILES = volume.h fstyp.h dvh.h
LSRCFILES = $(shell echo $(PHFILES) | sed -e "s/$(PKG_PLATFORM).h//g")
LSRCFILES += platform_defs.h.in builddefs.in buildmacros buildrules install-sh
LSRCFILES += $(DKHFILES) command.h input.h path.h project.h
LDIRT = xfs disk

default install: xfs disk

xfs disk:
	$(LN_S) . $@

include $(BUILDRULES)

install-dev: default
	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)
	$(INSTALL) -m 644 platform_defs.h $(PKG_INC_DIR)

install-qa: install-dev
	$(INSTALL) -m 644 $(QAHFILES) $(PKG_INC_DIR)

=== io/Makefile ===
#
# Copyright (c) 2000-2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_io
LSRCFILES = xfs_bmap.sh xfs_freeze.sh xfs_mkfile.sh
HFILES = init.h io.h
CFILES = init.c \
	attr.c bmap.c file.c freeze.c fsync.c getrusage.c imap.c mmap.c \
	open.c parent.c pread.c prealloc.c pwrite.c shutdown.c truncate.c

LLDLIBS = $(LIBXCMD) $(LIBHANDLE)
LTDEPENDENCIES = $(LIBXCMD) $(LIBHANDLE)
LLDFLAGS = -static

ifeq ($(HAVE_FADVISE),yes)
CFILES += fadvise.c
LCFLAGS += -DHAVE_FADVISE
else
LSRCFILES += fadvise.c
endif

ifeq ($(HAVE_MADVISE),yes)
CFILES += madvise.c
LCFLAGS += -DHAVE_MADVISE
else
LSRCFILES += madvise.c
endif

ifeq ($(HAVE_MINCORE),yes)
CFILES += mincore.c
LCFLAGS += -DHAVE_MINCORE
else
LSRCFILES += mincore.c
endif

ifeq ($(HAVE_SENDFILE),yes)
CFILES += sendfile.c
LCFLAGS += -DHAVE_SENDFILE
else
LSRCFILES += sendfile.c
endif

ifeq ($(PKG_PLATFORM),irix)
LSRCFILES += inject.c resblks.c
else
CFILES += inject.c resblks.c
LCFLAGS += -DHAVE_INJECT -DHAVE_RESBLKS
endif

ifeq ($(ENABLE_READLINE),yes)
LLDLIBS += $(LIBREADLINE) $(LIBTERMCAP)
endif

ifeq ($(ENABLE_EDITLINE),yes)
LLDLIBS += $(LIBEDITLINE) $(LIBTERMCAP)
endif

ifeq ($(HAVE_FALLOCATE),yes)
LCFLAGS += -DHAVE_FALLOCATE
endif

default: $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 xfs_bmap.sh $(PKG_SBIN_DIR)/xfs_bmap
	$(LTINSTALL) -m 755 xfs_freeze.sh $(PKG_SBIN_DIR)/xfs_freeze
	$(LTINSTALL) -m 755 xfs_mkfile.sh $(PKG_SBIN_DIR)/xfs_mkfile
install-dev:

=== libdisk/Makefile ===
#
# Copyright (c) 2000-2001,2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libdisk.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = drivers.c fstype.c pttype.c
HFILES = drivers.h fstype.h pttype.h md.h xvm.h evms.h
LINUX_DRIVERS = dm.c md.c xvm.c evms.c lvm.c

ifeq ($(PKG_PLATFORM),linux)
CFILES += $(LINUX_DRIVERS)
else
LSRCFILES = $(LINUX_DRIVERS)
endif

default: $(LTLIBRARY)

include $(BUILDRULES)

install: default

install-dev: default

install-qa: install-dev

=== libhandle/Makefile ===
#
# Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libhandle.la
LT_CURRENT = 1
LT_REVISION = 3
LT_AGE = 0

LTLDFLAGS += -Wl,--version-script,libhandle.sym

CFILES = handle.c jdm.c
LSRCFILES = libhandle.sym

default:  $(LTLIBRARY)

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

install-qa: install-dev

=== libxcmd/Makefile ===
#
# Copyright (c) 2005 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxcmd.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

CFILES = command.c input.c paths.c projects.c help.c quit.c

ifeq ($(HAVE_GETMNTENT),yes)
LCFLAGS += -DHAVE_GETMNTENT
endif

ifeq ($(HAVE_GETMNTINFO),yes)
LCFLAGS += -DHAVE_GETMNTINFO
endif

ifeq ($(ENABLE_READLINE),yes)
LCFLAGS += -DENABLE_READLINE
endif

ifeq ($(ENABLE_EDITLINE),yes)
LCFLAGS += -DENABLE_EDITLINE
endif

default: $(LTLIBRARY)

include $(BUILDRULES)

install install-dev install-qa: default

=== debian/changelog ===
xfsprogs (3.1.0ubuntu1) lucid; urgency=low

  * debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 08 Mar 2010 14:46:01 +0100

xfsprogs (3.1.0) unstable; urgency=low

  * New upstream release
  * Merged German translation (closes: #521389)
  * Merged German translation update (closes: #557100)
  * Uptodate po file is provided now (closes: #538962)
  * Fixed typos in xfs_quota man page (closes: #481715)
  * Tighten permissions on temp fsr files (closes: #559490)

 -- Nathan Scott <nathans@debian.org>  Thu, 10 Dec 2009 09:19:37 +1100

xfsprogs (3.0.4) unstable; urgency=low

  * New bugfix release
  * Resolve a libxfs unaligned access (closes: #517553)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Sep 2009 14:32:48 +1000

=== debian/control ===
Source: xfsprogs
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-dev
Standards-Version: 3.8.1
Homepage: http://oss.sgi.com/projects/xfs/

Package: xfsprogs
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: fsck-backend
Suggests: xfsdump, acl, attr, quota
Conflicts: xfsdump (<< 3.0.0)
Architecture: any
Description: Utilities for managing the XFS filesystem
 A set of commands to use the XFS filesystem, including mkfs.xfs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.

Package: xfslibs-dev
Section: libdevel
Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0)
Conflicts: xfsprogs (<< 3.0.0)
Architecture: any
Description: XFS filesystem-specific static libraries and headers
 xfslibs-dev contains the libraries and header files needed to
 develop XFS filesystem-specific programs.
 .
 XFS is a high performance journaling filesystem which originated
 on the SGI IRIX platform.  It is completely multi-threaded, can
 support large files and large filesystems, extended attributes,
 variable block sizes, is extent based, and makes extensive use of
 Btrees (directories, extents, free space) to aid both performance
 and scalability.
 .
 Refer to the documentation at http://oss.sgi.com/projects/xfs/
 for complete details.

Package: xfsprogs-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A stripped-down version of xfsprogs, for debian-installer
 This package is an xfsprogs package built for reduced size, so that it
 can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway, it should fail to install.

## xfsprogs 3.1.2ubuntu1

=== debian/changelog ===
xfsprogs (3.1.2ubuntu1) maverick; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from debian unstable. Remaining changes:
    - debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 31 May 2010 11:27:59 +0200

xfsprogs (3.1.2) unstable; urgency=low

  * New upstream release
  * Allow for building on GNU/kFreeBSD (closes: #485796)

 -- Nathan Scott <nathans@debian.org>  Mon, 3 May 2010 14:25:43 +1100

xfsprogs (3.1.1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu, 28 Jan 2010 20:54:22 +1100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 Package: xfslibs-dev
 Section: libdevel
+Priority: extra
 Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0)
 Conflicts: xfsprogs (<< 3.0.0)
 Architecture: any

## xfsprogs 3.1.2-1drbl

=== libxfs/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxfs.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

HFILES = xfs.h init.h
CFILES = cache.c init.c kmem.c logitem.c rdwr.c trans.c util.c \
	xfs_alloc.c xfs_ialloc.c xfs_inode.c xfs_btree.c xfs_alloc_btree.c \
	xfs_ialloc_btree.c xfs_bmap_btree.c xfs_da_btree.c \
	xfs_dir2.c xfs_dir2_leaf.c xfs_attr_leaf.c xfs_dir2_block.c \
	xfs_dir2_node.c xfs_dir2_data.c xfs_dir2_sf.c xfs_bmap.c \
	xfs_mount.c xfs_rtalloc.c xfs_trans.c xfs_attr.c

CFILES += $(PKG_PLATFORM).c
PCFILES = darwin.c freebsd.c irix.c linux.c
LSRCFILES = $(shell echo $(PCFILES) | sed -e "s/$(PKG_PLATFORM).c//g")

#
# Tracing flags:
# -DIO_DEBUG		reads and writes of buffers
# -DMEM_DEBUG		all zone memory use
# -DLI_DEBUG		log item (ino/buf) manipulation
# -DXACT_DEBUG		transaction state changes
#
#LCFLAGS +=

FCFLAGS = -I.

# don't try linking xfs_repair with a debug libxfs.
DEBUG = -DNDEBUG

default: ltdepend $(LTLIBRARY)

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

install-qa: default

-include .dep

=== debian/changelog ===
xfsprogs (3.1.2-1drbl) unstable; urgency=low

  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 9 Jun 2010 11:12:00 +0800

## xfsprogs 3.1.3.drbl1

=== debian/changelog ===
xfsprogs (3.1.3.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 27 Aug 2010 16:43:33 +0800

xfsprogs (3.1.3) unstable; urgency=low

  * New upstream release
  * Enforce building with libblkid (closes: #593320)

 -- Nathan Scott <nathans@debian.org>  Thu, 26 Aug 2010 23:06:46 +1000

## xfsprogs 3.1.4ubuntu2

=== debian/changelog ===
xfsprogs (3.1.4ubuntu2) natty; urgency=low

  * Rebuild. LP: #696768.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Jan 2011 12:54:03 +0100

xfsprogs (3.1.4ubuntu1) natty; urgency=low

  * Merge from debian unstable(LP: #678149). Remaining change:
    - debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 21 Nov 2010 18:27:51 +0100

xfsprogs (3.1.4) unstable; urgency=low

  * New upstream release (32 projid resolution, fsr uses /proc/mounts)
  * Annotate Debian packages as being team maintained now.
  * Resolve Lenny upgrade issue with xfsdump (closes: #601988, #601710)

 -- Nathan Scott <nathans@debian.org>  Tue, 09 Nov 2010 22:39:04 +1100

xfsprogs (3.1.3ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control: Build against libreadline-dev. (See Debian #553875)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Oct 2010 16:03:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: admin
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nathan Scott <nathans@debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-dev
-Standards-Version: 3.8.1
+XSBC-Original-Maintainer: XFS Development Team <xfs@oss.sgi.com>
+Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-dev, libblkid-dev (>= 2.17)
+Standards-Version: 3.9.1
 Homepage: http://oss.sgi.com/projects/xfs/
 
 Package: xfsprogs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: fsck-backend
 Suggests: xfsdump, acl, attr, quota
-Conflicts: xfsdump (<< 3.0.0)
+Breaks: xfsdump (<< 3.0.0)
+Replaces: xfsdump (<< 3.0.0)
 Architecture: any
 Description: Utilities for managing the XFS filesystem
  A set of commands to use the XFS filesystem, including mkfs.xfs.
@@ -30,8 +31,8 @@
 Package: xfslibs-dev
 Section: libdevel
 Priority: extra
-Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0)
-Conflicts: xfsprogs (<< 3.0.0)
+Depends: libc6-dev | libc-dev, uuid-dev, xfsprogs (>= 3.0.0), ${misc:Depends}
+Breaks: xfsprogs (<< 3.0.0)
 Architecture: any
 Description: XFS filesystem-specific static libraries and headers
  xfslibs-dev contains the libraries and header files needed to

## xfsprogs 3.1.4-drbl1

=== debian/changelog ===
xfsprogs (3.1.4-drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 29 Jan 2011 09:45:00 +0800

## xfsprogs 3.1.5ubuntu1

=== debian/changelog ===
xfsprogs (3.1.5ubuntu1) oneiric; urgency=low

  * Merge with Debian; remaining changes:
    - debian/control: Build against libreadline-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 May 2011 15:00:07 +0200

xfsprogs (3.1.5) unstable; urgency=low

  * New upstream release
  * No more xfsquota error message for non-quota mounts (closes: #618730)

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Mar 2011 09:00:00 +1100

## xfsprogs 3.1.5+nmu1-1drbl

=== debian/changelog ===
xfsprogs (3.1.5+nmu1-1drbl) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 02 Sep 2011 11:44:52 +0800

xfsprogs (3.1.5+nmu1) unstable; urgency=low

  * Non-maintainer upload, breaking the assumption: "the upstream
    release is also the Debian release" (see bug#144876).
  * Build-depends on libreadline-gplv2-dev instead of libreadline5-dev
    as the code is not compatible with GPL v3 (closes: #553875).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Aug 2011 23:14:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xfsprogs
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: XFS Development Team <xfs@oss.sgi.com>
+Maintainer: XFS Development Team <xfs@oss.sgi.com>
 Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-dev, libblkid-dev (>= 2.17)
+Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev, libblkid-dev (>= 2.17)
 Standards-Version: 3.9.1
 Homepage: http://oss.sgi.com/projects/xfs/

## xfsprogs 3.1.5-1drbl

=== include/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 HFILES = handle.h jdm.h xqm.h xfs.h xfs_fs.h
 HFILES += $(PKG_PLATFORM).h
-PHFILES = darwin.h freebsd.h irix.h linux.h
+PHFILES = darwin.h freebsd.h irix.h linux.h gnukfreebsd.h
 DKHFILES = volume.h fstyp.h dvh.h
 LSRCFILES = $(shell echo $(PHFILES) | sed -e "s/$(PKG_PLATFORM).h//g")
 LSRCFILES += platform_defs.h.in builddefs.in buildmacros buildrules install-sh
@@ -43,7 +43,8 @@
 default install: xfs disk
 
 xfs disk:
-	$(LN_S) . $@
+	@echo "    [LN]     $@"
+	$(Q)$(LN_S) . $@
 
 include $(BUILDRULES)
 
@@ -51,6 +52,7 @@
 	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
 	$(INSTALL) -m 644 $(HFILES) $(PKG_INC_DIR)
 	$(INSTALL) -m 644 platform_defs.h $(PKG_INC_DIR)
+	$(INSTALL) -m 644 $(QAHFILES) $(PKG_INC_DIR)
 
 install-qa: install-dev
 	$(INSTALL) -m 644 $(QAHFILES) $(PKG_INC_DIR)

=== libxfs/Makefile ===
--- 
+++ 
@@ -33,6 +33,8 @@
 
 FCFLAGS = -I.
 
+LTLIBS = $(LIBPTHREAD) $(LIBRT)
+
 # don't try linking xfs_repair with a debug libxfs.
 DEBUG = -DNDEBUG
 
@@ -48,4 +50,4 @@
 
 install-qa: default
 
--include .dep
+-include .ltdep

=== debian/changelog ===
xfsprogs (3.1.5-1drbl) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 13 May 2011 17:12:32 +0800

## xfsprogs 3.1.7build1

=== debian/changelog ===
xfsprogs (3.1.7build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:30:41 +0100

xfsprogs (3.1.7) unstable; urgency=low

  * New upstream release
  * Fix libreadline build dependency (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Thu, 17 Nov 2011 08:47:00 +1100

xfsprogs (3.1.6) unstable; urgency=low

  * New upstream release
  * Handle upcoming libreadline5-dev removal (closes: #553875)

 -- Nathan Scott <nathans@debian.org>  Wed, 11 Oct 2011 16:47:10 +1100

## xfsprogs 3.1.7-1drbl

=== debian/changelog ===
xfsprogs (3.1.7-1drbl) unstable; urgency=low

  * Non-maintainer upload.
  * Patched the new upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Nov 2011 18:25:34 +0800

## xfsprogs 3.1.9ubuntu2

=== libxfs/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 LT_AGE = 0
 
 HFILES = xfs.h init.h
-CFILES = cache.c init.c kmem.c logitem.c rdwr.c trans.c util.c \
+CFILES = cache.c init.c kmem.c logitem.c radix-tree.c rdwr.c trans.c util.c \
 	xfs_alloc.c xfs_ialloc.c xfs_inode.c xfs_btree.c xfs_alloc_btree.c \
 	xfs_ialloc_btree.c xfs_bmap_btree.c xfs_da_btree.c \
 	xfs_dir2.c xfs_dir2_leaf.c xfs_attr_leaf.c xfs_dir2_block.c \
@@ -43,10 +43,8 @@
 include $(BUILDRULES)
 
 install: default
-	$(INSTALL_LTLIB)
 
 install-dev: default
-	$(INSTALL_LTLIB_DEV)
 
 install-qa: default

=== mdrestore/Makefile ===
#
# Copyright (c) 2007 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTCOMMAND = xfs_mdrestore
CFILES = xfs_mdrestore.c

LLDLIBS = $(LIBXFS) $(LIBRT) $(LIBPTHREAD)
LTDEPENDENCIES = $(LIBXFS)
LLDFLAGS = -static

default: depend $(LTCOMMAND)

include $(BUILDRULES)

install: default
	$(INSTALL) -m 755 -d $(PKG_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_SBIN_DIR)
install-dev:

-include .dep

=== repair/Makefile ===
#
# Copyright (c) 2000-2002 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LSRCFILES = README

LTCOMMAND = xfs_repair

HFILES = agheader.h attr_repair.h avl.h avl64.h bmap.h btree.h \
	dinode.h dir.h dir2.h err_protos.h globals.h incore.h protos.h rt.h \
	progress.h scan.h versions.h prefetch.h threads.h

CFILES = agheader.c attr_repair.c avl.c avl64.c bmap.c btree.c \
	dino_chunks.c dinode.c dir.c dir2.c globals.c incore.c \
	incore_bmc.c init.c incore_ext.c incore_ino.c phase1.c \
	phase2.c phase3.c phase4.c phase5.c phase6.c phase7.c \
	progress.c prefetch.c rt.c sb.c scan.c threads.c \
	versions.c xfs_repair.c

LLDLIBS = $(LIBXFS) $(LIBXLOG) $(LIBUUID) $(LIBRT) $(LIBPTHREAD)
LTDEPENDENCIES = $(LIBXFS) $(LIBXLOG)
LLDFLAGS = -static

default: depend $(LTCOMMAND)

globals.o: globals.h

include $(BUILDRULES)

#
# Tracing flags:
# -DXR_INODE_TRACE	inode processing
# -DXR_DIR_TRACE	directory processing
# -DXR_DUP_TRACE	duplicate extent processing
# -DXR_BCNT_TRACE	incore bcnt freespace btree building
# -DXR_BLD_FREE_TRACE	building on-disk freespace (bcnt/bno) btrees
# -DXR_BLD_INO_TRACE	building on-disk inode allocation btrees
# -DXR_BLD_ADD_EXTENT	track phase 5 block extent creation
# -DXR_BCKPTR_DBG	parent list debugging info
# -DXR_PF_TRACE		prefetch trace
#
#CFLAGS += ...

install: default
	$(INSTALL) -m 755 -d $(PKG_ROOT_SBIN_DIR)
	$(LTINSTALL) -m 755 $(LTCOMMAND) $(PKG_ROOT_SBIN_DIR)
install-dev:

-include .dep

=== debian/changelog ===
xfsprogs (3.1.9ubuntu2) trusty; urgency=medium

  * Patch m4/libtool.m4 for powerpc64le and regenerate configure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 18:14:04 +0100

xfsprogs (3.1.9ubuntu1) saucy; urgency=low

  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Oct 2013 14:25:32 +0100

xfsprogs (3.1.9) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 31 Oct 2012 13:29:00 +1100

xfsprogs (3.1.8) unstable; urgency=low

  * New upstream release
  * Numerous xfs_repair fixes

 -- Nathan Scott <nathans@debian.org>  Mon, 19 Mar 2012 14:21:00 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xfsprogs
 Section: admin
 Priority: optional
-Maintainer: XFS Development Team <xfs@oss.sgi.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: XFS Development Team <xfs@oss.sgi.com>
 Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev, libblkid-dev (>= 2.17)
+Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev | libreadline5-dev, libblkid-dev (>= 2.17), linux-libc-dev, autotools-dev
 Standards-Version: 3.9.1
 Homepage: http://oss.sgi.com/projects/xfs/

## xfsprogs 3.1.9ubuntu2.1

=== Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
else
  Q = @
endif

MAKEOPTS = --no-print-directory Q=$(Q)

TOPDIR = .
HAVE_BUILDDEFS = $(shell test -f $(TOPDIR)/include/builddefs && echo yes || echo no)

ifeq ($(HAVE_BUILDDEFS), yes)
include $(TOPDIR)/include/builddefs
endif

SRCDIR = $(PKG_NAME)-$(PKG_VERSION)
SRCTAR = $(PKG_NAME)-$(PKG_VERSION).tar.gz

CONFIGURE = aclocal.m4 configure config.guess config.sub install-sh ltmain.sh
LSRCFILES = configure.ac release.sh README VERSION $(CONFIGURE)

LDIRT = config.log .ltdep .dep config.status config.cache confdefs.h \
	conftest* built .census install.* install-dev.* *.gz \
	autom4te.cache/* libtool include/builddefs include/platform_defs.h

ifeq ($(HAVE_BUILDDEFS), yes)
LDIRDIRT = $(SRCDIR)
LDIRT += $(SRCTAR)
endif

LIB_SUBDIRS = libxfs libxlog libxcmd libhandle libdisk
TOOL_SUBDIRS = copy db estimate fsck fsr growfs io logprint mkfs quota \
		mdrestore repair rtcp m4 man doc po debian

SUBDIRS = include $(LIB_SUBDIRS) $(TOOL_SUBDIRS)

default: include/builddefs include/platform_defs.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SUBDIRS)
endif

# tool/lib dependencies
$(LIB_SUBDIRS) $(TOOL_SUBDIRS): include
copy mdrestore: libxfs
db logprint: libxfs libxlog
fsr: libhandle
growfs: libxfs libxcmd
io: libxcmd libhandle
mkfs: libxfs
quota: libxcmd
repair: libxfs libxlog

ifneq ($(ENABLE_BLKID), yes)
mkfs: libdisk
endif

ifeq ($(HAVE_BUILDDEFS), yes)
include $(BUILDRULES)
else
clean:	# if configure hasn't run, nothing to clean
endif

# Recent versions of libtool require the -i option for copying auxiliary
# files (config.sub, config.guess, install-sh, ltmain.sh), while older
# versions will copy those files anyway, and don't understand -i.
LIBTOOLIZE_INSTALL = `libtoolize -n -i >/dev/null 2>/dev/null && echo -i`

configure:
	libtoolize -c $(LIBTOOLIZE_INSTALL) -f
	cp include/install-sh .
	aclocal -I m4
	autoconf

include/builddefs: configure
	./configure $$LOCAL_CONFIGURE_OPTIONS

include/platform_defs.h: include/builddefs
## Recover from the removal of $@
	@if test -f $@; then :; else \
		rm -f include/builddefs; \
		$(MAKE) $(MAKEOPTS) $(AM_MAKEFLAGS) include/builddefs; \
	fi

install: $(addsuffix -install,$(SUBDIRS))
	$(INSTALL) -m 755 -d $(PKG_DOC_DIR)
	$(INSTALL) -m 644 README $(PKG_DOC_DIR)

install-dev: $(addsuffix -install-dev,$(SUBDIRS))

install-qa: install $(addsuffix -install-qa,$(SUBDIRS))

%-install:
	@echo "Installing $@"
	$(Q)$(MAKE) $(MAKEOPTS) -C $* install

%-install-dev:
	@echo "Installing $@"
	$(Q)$(MAKE) $(MAKEOPTS) -C $* install-dev

%-install-qa:
	@echo "Installing $@"
	$(Q)$(MAKE) $(MAKEOPTS) -C $* install-qa

distclean: clean
	$(Q)rm -f $(LDIRT)

realclean: distclean
	$(Q)rm -f $(CONFIGURE)

#
# All this gunk is to allow for a make dist on an unconfigured tree
#
dist: include/builddefs include/platform_defs.h default
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SRCTAR)
endif

deb: include/builddefs include/platform_defs.h
ifeq ($(HAVE_BUILDDEFS), no)
	$(Q)$(MAKE) $(MAKEOPTS) -C . $@
else
	$(Q)$(MAKE) $(MAKEOPTS) $(SRCDIR)
	$(Q)$(MAKE) $(MAKEOPTS) -C po
	$(Q)$(MAKE) $(MAKEOPTS) source-link
	$(Q)cd $(SRCDIR) && dpkg-buildpackage
endif

$(SRCDIR) : $(_FORCE)
	rm -fr $@
	mkdir -p $@

$(SRCTAR) : default $(SRCDIR)
	$(Q)$(MAKE) $(MAKEOPTS) source-link
	unset TAPE; $(TAR) -cf - $(SRCDIR) | $(ZIP) --best > $@ && \
	echo Wrote: $@

=== libdisk/Makefile ===
--- 
+++ 
@@ -20,7 +20,11 @@
 LSRCFILES = $(LINUX_DRIVERS)
 endif
 
-default: $(LTLIBRARY)
+ifneq ($(ENABLE_BLKID), yes)
+default: ltdepend $(LTLIBRARY)
+else
+default:
+endif
 
 include $(BUILDRULES)
 
@@ -29,3 +33,5 @@
 install-dev: default
 
 install-qa: install-dev
+
+-include .ltdep

=== debian/changelog ===
xfsprogs (3.1.9ubuntu2.1) trusty; urgency=medium

  * [dda4129] xfs_logprint: Handle multiply-logged inode fields.
    xlog_print_trans_inode() will error "illegal inode type" if
    more than one flag is set on f->ilf_fields. (LP: #1763086)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Tue, 10 Apr 2018 16:23:17 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

package = xfsprogs
develop = xfslibs-dev
bootpkg = xfsprogs-udeb

version = $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
target ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
udebpkg = $(bootpkg)_$(version)_$(target).udeb

dirme  = debian/$(package)
dirdev = debian/$(develop)
dirdi  = debian/$(bootpkg)
pkgme  = DIST_ROOT=`pwd`/$(dirme);  export DIST_ROOT;
pkgdev = DIST_ROOT=`pwd`/$(dirdev); export DIST_ROOT;
pkgdi  = DIST_ROOT=`pwd`/$(dirdi); export DIST_ROOT;
stdenv = @GZIP=-q; export GZIP;

options = export DEBUG=-DNDEBUG DISTRIBUTION=debian \
	  INSTALL_USER=root INSTALL_GROUP=root \
	  LOCAL_CONFIGURE_OPTIONS="--enable-readline=yes --enable-blkid=yes" ;
diopts  = $(options) \
	  export OPTIMIZER=-Os LOCAL_CONFIGURE_OPTIONS="--enable-gettext=no" ;
checkdir = test -f debian/rules

build: built
built: dibuild config
	@echo "== dpkg-buildpackage: build" 1>&2
	$(MAKE) default
	touch built

config: .census
.census:
	@echo "== dpkg-buildpackage: configure" 1>&2
	$(checkdir)
	dh_autotools-dev_updateconfig
	$(options) $(MAKE) include/platform_defs.h
	touch .census

dibuild:
	$(checkdir)
	@echo "== dpkg-buildpackage: installer" 1>&2
	if [ ! -f mkfs/mkfs.xfs-$(bootpkg) ]; then \
		$(diopts) $(MAKE) include/platform_defs.h; \
		for dir in include libxfs libdisk mkfs; do \
			$(MAKE) -C $$dir; \
		done; \
		mv mkfs/mkfs.xfs mkfs/mkfs.xfs-$(bootpkg); \
		$(MAKE) distclean; \
	fi

clean:
	@echo "== dpkg-buildpackage: clean" 1>&2
	$(checkdir)
	-rm -f built .census mkfs/mkfs.xfs-$(bootpkg)
	$(MAKE) distclean
	-rm -rf $(dirme) $(dirdev) $(dirdi)
	-rm -f debian/*substvars debian/files* debian/*.debhelper
	dh_autotools-dev_restoreconfig
	dh_clean

binary-indep:

binary-arch: checkroot built
	@echo "== dpkg-buildpackage: binary-arch" 1>&2
	$(checkdir)
	-rm -rf $(dirme) $(dirdev) $(dirdi)
	$(pkgme)  $(MAKE) -C . install
	$(pkgdev) $(MAKE) -C . install-dev
	$(pkgdi)  $(MAKE) -C debian install-d-i
	$(pkgme)  $(MAKE) dist
	rmdir debian/xfslibs-dev/usr/share/doc/xfsprogs
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	test 0 -eq `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot

## xfsprogs 3.1.9.drbl1

=== include/Makefile ===
--- 
+++ 
@@ -19,16 +19,17 @@
 include $(TOPDIR)/include/builddefs
 
 QAHFILES = libxfs.h libxlog.h \
-	bitops.h cache.h kmem.h list.h parent.h swab.h \
+	atomic.h bitops.h cache.h kmem.h list.h hlist.h parent.h radix-tree.h \
+	swab.h \
 	xfs_ag.h xfs_alloc.h xfs_alloc_btree.h xfs_arch.h xfs_attr_leaf.h \
 	xfs_attr_sf.h xfs_bit.h xfs_bmap.h xfs_bmap_btree.h xfs_btree.h \
 	xfs_btree_trace.h xfs_buf_item.h xfs_da_btree.h xfs_dinode.h \
 	xfs_dir2.h xfs_dir2_block.h xfs_dir2_data.h xfs_dir2_leaf.h \
 	xfs_dir2_node.h xfs_dir2_sf.h xfs_dir_leaf.h xfs_dir_sf.h \
 	xfs_extfree_item.h xfs_ialloc.h xfs_ialloc_btree.h \
-	xfs_imap.h xfs_inode.h xfs_inode_item.h xfs_inum.h \
+	xfs_inode.h xfs_inode_item.h xfs_inum.h \
 	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_metadump.h \
-	xfs_mount.h xfs_quota.h xfs_rtalloc.h xfs_sb.h \
+	xfs_mount.h xfs_quota.h xfs_rtalloc.h xfs_sb.h xfs_trace.h \
 	xfs_trans.h xfs_trans_space.h xfs_types.h xfs_dfrag.h
 
 HFILES = handle.h jdm.h xqm.h xfs.h xfs_fs.h

=== libxfs/Makefile ===
--- 
+++ 
@@ -43,8 +43,10 @@
 include $(BUILDRULES)
 
 install: default
+	$(INSTALL_LTLIB)
 
 install-dev: default
+	$(INSTALL_LTLIB_DEV)
 
 install-qa: default

=== debian/changelog ===
xfsprogs (3.1.9.drbl1) unstable; urgency=low

  * New upstream release

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Dec 2012 14:07:14 +0800

## xfsprogs 3.2.0+drbl1

=== include/Makefile ===
--- 
+++ 
@@ -23,16 +23,30 @@
 	swab.h \
 	xfs_ag.h xfs_alloc.h xfs_alloc_btree.h xfs_arch.h xfs_attr_leaf.h \
 	xfs_attr_sf.h xfs_bit.h xfs_bmap.h xfs_bmap_btree.h xfs_btree.h \
-	xfs_btree_trace.h xfs_buf_item.h xfs_da_btree.h xfs_dinode.h \
-	xfs_dir2.h xfs_dir2_block.h xfs_dir2_data.h xfs_dir2_leaf.h \
-	xfs_dir2_node.h xfs_dir2_sf.h xfs_dir_leaf.h xfs_dir_sf.h \
-	xfs_extfree_item.h xfs_ialloc.h xfs_ialloc_btree.h \
-	xfs_inode.h xfs_inode_item.h xfs_inum.h \
-	xfs_log.h xfs_log_priv.h xfs_log_recover.h xfs_metadump.h \
-	xfs_mount.h xfs_quota.h xfs_rtalloc.h xfs_sb.h xfs_trace.h \
-	xfs_trans.h xfs_trans_space.h xfs_types.h xfs_dfrag.h
+	xfs_attr_remote.h \
+	xfs_btree_trace.h \
+	xfs_cksum.h \
+	xfs_da_btree.h \
+	xfs_da_format.h \
+	xfs_dinode.h \
+	xfs_dir2.h \
+	xfs_format.h \
+	xfs_ialloc.h \
+	xfs_ialloc_btree.h \
+	xfs_inode_buf.h \
+	xfs_inode_fork.h \
+	xfs_inum.h \
+	xfs_log_format.h \
+	xfs_log_recover.h \
+	xfs_metadump.h \
+	xfs_quota_defs.h \
+	xfs_sb.h \
+	xfs_shared.h \
+	xfs_trace.h \
+	xfs_trans_resv.h \
+	xfs_trans_space.h
 
-HFILES = handle.h jdm.h xqm.h xfs.h xfs_fs.h
+HFILES = handle.h jdm.h xqm.h xfs.h xfs_fs.h xfs_types.h
 HFILES += $(PKG_PLATFORM).h
 PHFILES = darwin.h freebsd.h irix.h linux.h gnukfreebsd.h
 DKHFILES = volume.h fstyp.h dvh.h

=== libxfs/Makefile ===
#
# Copyright (c) 2000-2006 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ..
include $(TOPDIR)/include/builddefs

LTLIBRARY = libxfs.la
LT_CURRENT = 0
LT_REVISION = 0
LT_AGE = 0

HFILES = xfs.h init.h xfs_dir2_priv.h crc32defs.h crc32table.h
CFILES = cache.c \
	crc32.c \
	init.c kmem.c logitem.c radix-tree.c rdwr.c trans.c util.c \
	xfs_alloc.c \
	xfs_alloc_btree.c \
	xfs_attr.c \
	xfs_attr_leaf.c \
	xfs_attr_remote.c \
	xfs_bmap.c \
	xfs_bmap_btree.c \
	xfs_btree.c \
	xfs_da_btree.c \
	xfs_dir2.c \
	xfs_dir2_block.c \
	xfs_dir2_data.c \
	xfs_dir2_leaf.c \
	xfs_dir2_node.c \
	xfs_dir2_sf.c \
	xfs_dquot_buf.c \
	xfs_ialloc.c \
	xfs_inode_buf.c \
	xfs_inode_fork.c \
	xfs_ialloc_btree.c \
	xfs_log_rlimit.c \
	xfs_rtbitmap.c \
	xfs_sb.c \
	xfs_symlink_remote.c \
	xfs_trans_resv.c

CFILES += $(PKG_PLATFORM).c
PCFILES = darwin.c freebsd.c irix.c linux.c
LSRCFILES = $(shell echo $(PCFILES) | sed -e "s/$(PKG_PLATFORM).c//g")
LSRCFILES += gen_crc32table.c

#
# Tracing flags:
# -DIO_DEBUG		reads and writes of buffers
# -DMEM_DEBUG		all zone memory use
# -DLI_DEBUG		log item (ino/buf) manipulation
# -DXACT_DEBUG		transaction state changes
#
#LCFLAGS +=

FCFLAGS = -I.

LTLIBS = $(LIBPTHREAD) $(LIBRT)

# don't try linking xfs_repair with a debug libxfs.
DEBUG = -DNDEBUG

LDIRT = gen_crc32table crc32table.h crc32selftest

default: crc32selftest ltdepend $(LTLIBRARY)

crc32table.h: gen_crc32table.c
	@echo "    [CC]     gen_crc32table"
	$(Q) $(CC) $(CFLAGS) -o gen_crc32table $<
	@echo "    [GENERATE] $@"
	$(Q) ./gen_crc32table > crc32table.h

# The selftest binary will return an error if it fails. This is made a
# dependency of the build process so that we refuse to build the tools on broken
# systems/architectures. Hence we make sure that xfsprogs will never use a
# busted CRC calculation at build time and hence avoid putting bad CRCs down on
# disk.
crc32selftest: gen_crc32table.c crc32table.h crc32.c
	@echo "    [TEST]    CRC32"
	$(Q) $(CC) $(CFLAGS) -D CRC32_SELFTEST=1 crc32.c -o $@
	$(Q) ./$@

include $(BUILDRULES)

install: default
	$(INSTALL_LTLIB)

install-dev: default
	$(INSTALL_LTLIB_DEV)

install-qa: default

-include .ltdep

=== debian/changelog ===
xfsprogs (3.2.0+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * The required files for compiling partclone are put in xfsprogs-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Jul 2014 13:52:39 +0800

xfsprogs (3.2.0) unstable; urgency=low

  * New upstream release
  * Add dh-autoreconf invocation (closes: #725971)

 -- Nathan Scott <nathans@debian.org>  Sat, 03 May 2014 15:59:55 +1000

xfsprogs (3.1.11) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 08 May 2013 12:59:56 -0500

## xfsprogs 3.2.1

=== debian/changelog ===
xfsprogs (3.2.1) unstable; urgency=low

  * New upstream release (closes: #747080)
  * Add a watch file (closes: #748483)

 -- Nathan Scott <nathans@debian.org>  Wed, 16 Jul 2014 13:47:49 +1000

## xfsprogs 3.2.1+drbl1

=== debian/changelog ===
xfsprogs (3.2.1+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * The required files for compiling partclone are put in xfsprogs-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 Aug 2014 09:20:26 +0800

## xfsprogs 3.2.4+drbl1

=== debian/changelog ===
xfsprogs (3.2.4+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * The required files for compiling partclone are put in xfsprogs-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Aug 2015 09:13:04 +0800

xfsprogs (3.2.4) unstable; urgency=low

  * New upstream release
  * Fix xfs_metadump information leak (CVE-2012-2150)

 -- Nathan Scott <nathans@debian.org>  Wed, 29 Jul 2015 15:31:27 +1000

xfsprogs (3.2.3) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 01 Jun 2015 11:35:02 +1000

xfsprogs (3.2.2) unstable; urgency=low

  * New upstream release
  * Rework dh-autoreconf invocation (closes: #757455)
  * Update licensing words for headers (closes: #751511)

 -- Nathan Scott <nathans@debian.org>  Mon, 10 Nov 2014 20:35:27 +1100

## xfsprogs 4.3.0%2Bnmu1ubuntu1

=== debian/changelog ===
xfsprogs (4.3.0+nmu1ubuntu1) xenial; urgency=medium

  * Enable blkid in d-i, by dropping explicitly passed configure option
    (broken configure). (LP: #1544574).
  * Drop trying to create upstream distribution.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2016 00:20:02 +0000

xfsprogs (4.3.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disabled the code in include/buildmacros which creates bogus symlinks
    for libraries. (Closes: #766811)

 -- Marco d'Itri <md@linux.it>  Wed, 10 Feb 2016 04:24:23 +0100

xfsprogs (4.3.0) unstable; urgency=low

  * New upstream release
  * Add a postinst to update the initramfs on install/upgrade.
    (Closes: #804255)

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Nov 2015 15:22:56 +1100

xfsprogs (4.2.0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 07 Sep 2015 10:13:54 +1000

## xfsprogs 4.3.0%2Bnmu1ubuntu1.1

=== libxfs/Makefile ===
--- 
+++ 
@@ -10,19 +10,63 @@
 LT_REVISION = 0
 LT_AGE = 0
 
-HFILES = xfs.h init.h xfs_dir2_priv.h crc32defs.h crc32table.h
+# headers to install in include/xfs
+PKGHFILES = xfs_fs.h \
+	xfs_types.h \
+	xfs_da_format.h \
+	xfs_format.h \
+	xfs_log_format.h
+
+HFILES = \
+	xfs_alloc.h \
+	xfs_alloc_btree.h \
+	xfs_attr_leaf.h \
+	xfs_attr_sf.h \
+	xfs_bit.h \
+	xfs_bmap.h \
+	xfs_bmap_btree.h \
+	xfs_btree.h \
+	xfs_attr_remote.h \
+	xfs_cksum.h \
+	xfs_da_btree.h \
+	xfs_dir2.h \
+	xfs_ialloc.h \
+	xfs_ialloc_btree.h \
+	xfs_inode_buf.h \
+	xfs_inode_fork.h \
+	xfs_quota_defs.h \
+	xfs_sb.h \
+	xfs_shared.h \
+	xfs_trans_resv.h \
+	xfs_trans_space.h \
+	libxfs_io.h \
+	libxfs_api_defs.h \
+	init.h \
+	crc32defs.h \
+	crc32table.h \
+	libxfs_priv.h \
+	xfs_dir2_priv.h
+
 CFILES = cache.c \
 	crc32.c \
-	init.c kmem.c logitem.c radix-tree.c rdwr.c trans.c util.c \
+	init.c \
+	kmem.c \
+	logitem.c \
+	radix-tree.c \
+	rdwr.c \
+	trans.c \
+	util.c \
 	xfs_alloc.c \
 	xfs_alloc_btree.c \
 	xfs_attr.c \
 	xfs_attr_leaf.c \
 	xfs_attr_remote.c \
+	xfs_bit.c \
 	xfs_bmap.c \
 	xfs_bmap_btree.c \
 	xfs_btree.c \
 	xfs_da_btree.c \
+	xfs_da_format.c \
 	xfs_dir2.c \
 	xfs_dir2_block.c \
 	xfs_dir2_data.c \
@@ -67,7 +111,7 @@
 
 crc32table.h: gen_crc32table.c
 	@echo "    [CC]     gen_crc32table"
-	$(Q) $(CC) $(CFLAGS) -o gen_crc32table $<
+	$(Q) $(BUILD_CC) $(CFLAGS) -o gen_crc32table $<
 	@echo "    [GENERATE] $@"
 	$(Q) ./gen_crc32table > crc32table.h
 
@@ -78,17 +122,30 @@
 # disk.
 crc32selftest: gen_crc32table.c crc32table.h crc32.c
 	@echo "    [TEST]    CRC32"
-	$(Q) $(CC) $(CFLAGS) -D CRC32_SELFTEST=1 crc32.c -o $@
+	$(Q) $(BUILD_CC) $(CFLAGS) -D CRC32_SELFTEST=1 crc32.c -o $@
 	$(Q) ./$@
 
+# set up include/xfs header directory
 include $(BUILDRULES)
 
 install: default
-	$(INSTALL_LTLIB)
+	$(INSTALL) -m 755 -d $(PKG_INC_DIR)
 
-install-dev: default
-	$(INSTALL_LTLIB_DEV)
+install-headers: $(addsuffix -hdrs, $(PKGHFILES))
 
-install-qa: default
+%-hdrs:
+	$(Q)$(LN_S) -f $(CURDIR)/$* $(TOPDIR)/include/xfs/$*
 
+install-dev: install
+	$(INSTALL) -m 644 $(PKGHFILES) $(PKG_INC_DIR)
+
+# We need to install the headers before building the dependencies.  If we
+# include the .ltdep file, the makefile decides that it needs to build the
+# dependencies to remake the makefile before running the header install target,
+# hence making it impossible to avoid errors being thrown by the dependency
+# generation. Hence we play games so that we only include this file if we aren't
+# running the install-headers target.
+ifndef NODEP
 -include .ltdep
+endif
+

=== man/man8/Makefile ===
#
# Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
#

TOPDIR = ../..
include $(TOPDIR)/include/builddefs

MAN_SECTION	= 8

MAN_PAGES	= $(shell echo *.$(MAN_SECTION))
MAN_DEST	= $(PKG_MAN_DIR)/man$(MAN_SECTION)
LSRCFILES	= $(MAN_PAGES)

default : $(MAN_PAGES)

include $(BUILDRULES)

install : default
	$(INSTALL) -m 755 -d $(MAN_DEST)
	$(INSTALL_MAN)
install-dev :

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: XFS Development Team <xfs@oss.sgi.com>
 Uploaders: Nathan Scott <nathans@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: uuid-dev, autoconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev | libreadline5-dev, libblkid-dev (>= 2.17), linux-libc-dev, autotools-dev
+Build-Depends: uuid-dev, dh-autoreconf, debhelper (>= 5), gettext, libtool, libreadline-gplv2-dev | libreadline5-dev, libblkid-dev (>= 2.17), linux-libc-dev
 Standards-Version: 3.9.1
 Homepage: http://oss.sgi.com/projects/xfs/
